package com.css.simulation.resource.scheduler.adapter.controller;


import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneEvaluationComputeParam;
import com.css.simulation.resource.scheduler.domain.service.TaskDomainService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;

@Controller
@Slf4j
@RequestMapping("/")
public class SceneEvaluationController {

    @Resource
    private TaskDomainService taskDomainService;

    @GetMapping("/computeSceneEvaluation")
    public ResponseBodyVO<String> computeSceneEvaluation(SceneEvaluationComputeParam sceneEvaluationComputeParam) {
        taskDomainService.computeSceneEvaluation(sceneEvaluationComputeParam);
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS);
    }
}
